summaryrefslogtreecommitdiff
path: root/biblio/tib/tibabb.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /biblio/tib/tibabb.sh
Initial commit
Diffstat (limited to 'biblio/tib/tibabb.sh')
-rw-r--r--biblio/tib/tibabb.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/biblio/tib/tibabb.sh b/biblio/tib/tibabb.sh
new file mode 100644
index 0000000000..df4d4b19c1
--- /dev/null
+++ b/biblio/tib/tibabb.sh
@@ -0,0 +1,24 @@
+#! /bin/csh -f
+#
+# tibabb -- look up a journal and find the tib abbreviation for it
+#
+# Usage: tibabb < keys >...
+#
+# Note: this is case sensitive if there is more than one word in the keys
+#
+if ($#argv == 1 && "$1" == -usage) then
+ echo " Usage: tibabb < keys > ..."
+ exit 0
+endif
+switch ($#argv)
+ case 0:
+ echo " Usage: tibabb < keys > ..."
+ exit 1
+ case 1:
+ grep -i -h $1 BBBBB/*{abb,fll}.ttz|more
+ breaksw
+ default:
+ set arg = `echo $* | sed 's, ,/ \&\& /,g'`
+ awk "/$arg/" BBBBB/*{abb,fll}.ttz|more
+endsw
+